Package com.gpudb.protocol
Class CreateTableMonitorRequest.Options
java.lang.Object
com.gpudb.protocol.CreateTableMonitorRequest.Options
Enclosing class:
A set of string constants for the
CreateTableMonitorRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringName of an existing data sink to send change data notifications to.static final StringGet notifications of delete operations.static final StringDestination for the output data in format ‘destination_type://path[:port]‘.static final StringType of modification event on the target table to be monitored by this table monitor.static final StringFilter expression to limit records for notification.static final StringName of a table to which failed stream notifications are written when the stream is suspended.static final StringColumn on subscribed table that will increase for new records (e.g., TIMESTAMP).static final StringGet notifications of new record insertions.static final StringA comma-separated list of columns or expressions to include from the joined tables.static final StringFilter or join expressions to apply when combining the tables.static final StringA comma-separated list of tables (optionally with aliases) to include in the join.static final StringName of the Kafka topic to publish to ifDESTINATIONinoptionsis specified and is a Kafka broker.static final StringMaximum number of consecutive failed notification attempts before suspending the stream.static final StringID to use for this monitor instead of a randomly generated one.static final StringReport changes as they occur.static final StringReport changes periodically at rate specified byREFRESH_PERIOD.static final StringMethod controlling when the table monitor reports changes to thetableName.static final StringWhenREFRESH_METHODisPERIODIC, specifies the period in seconds at which changes are reported.static final StringWhenREFRESH_METHODisPERIODIC, specifies the first time at which changes are reported.static final StringGet notifications of update operations.
Field Details
EVENT
Type of modification event on the target table to be monitored by this table monitor. Supported values:INSERT: Get notifications of new record insertions. The new row images are forwarded to the subscribers.UPDATE: Get notifications of update operations. The modified row count information is forwarded to the subscribers.DELETE: Get notifications of delete operations. The deleted row count information is forwarded to the subscribers.
INSERT.See Also:FAILED_NOTIFICATIONS_TABLE_NAME
Name of a table to which failed stream notifications are written when the stream is suspended. The database will attempt to send notifications persisted in this table when the stream is resumed. The table has the following columns: rank (long), job_id (long), uuid (uuid), timestamp (timestamp), error_msg (string), payload (bytes). Leave this option empty to disable persisting failed notification events.See Also:KAFKA_TOPIC_NAME
Name of the Kafka topic to publish to ifDESTINATIONinoptionsis specified and is a Kafka broker.See Also:JOIN_TABLE_NAMES
A comma-separated list of tables (optionally with aliases) to include in the join. The monitored tabletableNamemust be included, representing only the newly inserted rows (deltas) since the last notification. Other tables can be any existing tables or views. Aliases can be used with the ‘table_name as alias’ syntax.See Also:JOIN_COLUMN_NAMES
A comma-separated list of columns or expressions to include from the joined tables. Column references can use table names or aliases defined in ‘join_table_names’. Each column can optionally be aliased using ‘as’. The selected columns will also appear in the notification output.See Also:JOIN_EXPRESSIONS
Filter or join expressions to apply when combining the tables. Expressions are standard SQL-style conditions and can reference any table or alias listed in ‘join_table_names’. This corresponds to the WHERE clause of the underlying join, and can include conditions to filter the delta rows.See Also:REFRESH_METHOD
Method controlling when the table monitor reports changes to thetableName. Supported values:ON_CHANGE: Report changes as they occur.PERIODIC: Report changes periodically at rate specified byREFRESH_PERIOD.
ON_CHANGE.See Also:REFRESH_PERIOD
WhenREFRESH_METHODisPERIODIC, specifies the period in seconds at which changes are reported.See Also:REFRESH_START_TIME
WhenREFRESH_METHODisPERIODIC, specifies the first time at which changes are reported. Value is a datetime string with format ‘YYYY-MM-DD HH:MM:SS’.See Also: